commit:     ecc7f72c31b5e952a1214f09d6ede36efe900820
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 26 15:05:48 2023 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Sun Feb 26 15:08:58 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ecc7f72c

net-misc/connman: new snapshot, rework wifi flags, rework deps

Wifi flag logic now matcheshow NM works. USE="wifi -iwd" for wpa_supplicant
backend, USE="wifi iwd" for iwd backend.

Several deps were moved to runtime-only.

Bug: https://bugs.gentoo.org/897742

Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 net-misc/connman/Manifest                        |   1 +
 net-misc/connman/connman-1.42_pre20230116.ebuild | 133 +++++++++++++++++++++++
 2 files changed, 134 insertions(+)

diff --git a/net-misc/connman/Manifest b/net-misc/connman/Manifest
index e8026cf6a74d..0f851994e08c 100644
--- a/net-misc/connman/Manifest
+++ b/net-misc/connman/Manifest
@@ -1,2 +1,3 @@
 DIST connman-82ce08135a14ef4ab5b5b60f1e426a26b9fc72fc.tar.gz 742300 BLAKE2B 
90d6332ce6ee29ee313b6e83cb4c77982bfff02bf358cf066df7a77cfacfaaeb6b06315f7452a86b33a7351adb7883a608020010834604f94ae4671d72e268b4
 SHA512 
35c95b9544ee204bf57df3ff4258f3454a3d34e4fff2fe19d74df2fead8956c919fe5ecde7554b22c32504a32b15adb5c0d858457acdf21f4d2df766d4a0de4b
+DIST connman-9971144ae862e83f1f5d8cb84c0b62f2542dcdec.tar.gz 743500 BLAKE2B 
513380639f02c103f4e9aca73571e00edc42894e612712c20319c3ee9b8845bff41ce05b17016b52b7d34f09c8f74f877a639fd21455b13a5a2ef1554eb0b093
 SHA512 
bc37dabb13b76e3fa0efd811d664f321b47118d378285dfa06710ec227822c409ed0c60c2f42c00ae081e47ec879ec1b19f784e9fc2346d1d57f6e87550dda22
 DIST connman-cb05780d86c39cfb5e6d9ac2b288bf3244a95d57.tar.gz 738675 BLAKE2B 
d2c8ee587bdf045e4438a5c4c48475a5ba8ae390032dbdee44ed884273d741e290fcaeb5cee1025a7dec1f7f7034cf01d3e074d08004024dc541bff1b729627c
 SHA512 
3d49f7fad6044c080a5805cc35dbecbdf916d66a2ace0246631936fbf46d80fcfff960df79a8471069caa00975dd74f5fcc17812811ce9c93919e2947ef23f6d

diff --git a/net-misc/connman/connman-1.42_pre20230116.ebuild 
b/net-misc/connman/connman-1.42_pre20230116.ebuild
new file mode 100644
index 000000000000..140c2c70f514
--- /dev/null
+++ b/net-misc/connman/connman-1.42_pre20230116.ebuild
@@ -0,0 +1,133 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+inherit autotools systemd tmpfiles
+
+COMMIT=9971144ae862e83f1f5d8cb84c0b62f2542dcdec
+
+if [[ ${PV} == *9999* ]]; then
+       inherit git-r3
+       
EGIT_REPO_URI="https://git.kernel.org/pub/scm/network/connman/connman.git";
+else
+       
SRC_URI="https://git.kernel.org/pub/scm/network/connman/connman.git/snapshot/connman-${COMMIT}.tar.gz";
+       KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+fi
+
+DESCRIPTION="Provides a daemon for managing internet connections"
+HOMEPAGE="https://git.kernel.org/pub/scm/network/connman/connman.git/";
+
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE="bluetooth debug doc +ethernet examples iptables iwd l2tp networkmanager
++nftables ofono openconnect openvpn policykit pptp tools vpnc +wifi wireguard
+wispr"
+
+REQUIRED_USE="^^ ( iptables nftables )"
+BDEPEND="virtual/pkgconfig"
+COMMON_DEPEND=">=dev-libs/glib-2.16
+       net-libs/gnutls
+       >=sys-apps/dbus-1.2.24
+       sys-libs/readline:0=
+       nftables? (
+               >=net-libs/libnftnl-1.0.4:0=
+               >=net-libs/libmnl-1.0.0:0=
+       )
+       openconnect? ( net-vpn/openconnect )
+       openvpn? ( net-vpn/openvpn )
+       pptp? ( net-dialup/pptpclient )
+       vpnc? ( net-vpn/vpnc )
+       wireguard? ( >=net-libs/libmnl-1.0.0:0= )"
+RDEPEND="${COMMON_DEPEND}
+       bluetooth? ( net-wireless/bluez )
+       iptables? ( >=net-firewall/iptables-1.4.8 )
+       l2tp? ( net-dialup/xl2tpd )
+       ofono? ( net-misc/ofono )
+       policykit? ( sys-auth/polkit )
+       wifi? (
+               !iwd? ( >=net-wireless/wpa_supplicant-0.7.3-r3[dbus] )
+               iwd? ( net-wireless/iwd )
+       )"
+DEPEND="${COMMON_DEPEND}
+       >=sys-kernel/linux-headers-2.6.39"
+
+PATCHES=( "${FILESDIR}/libresolv-musl-fix.patch" )
+S=${WORKDIR}/${PN}-${COMMIT}
+
+src_prepare() {
+       default
+       eautoreconf
+
+       cp "${FILESDIR}"/connman.initd2 "${FILESDIR}"/connman.confd "${T}"
+       if use iwd; then
+               sed -i \
+                       -e "s/need dbus/need dbus iwd/" \
+                       "${T}"/connman.initd2 || die
+               sed -i \
+                       -e 's/CONNMAN_OPTS=""/CONNMAN_OPTS="--wifi=iwd_agent"/' 
\
+                       "${T}"/connman.confd || die
+               sed -i \
+                       -e "/^ExecStart/ s/$/ --wifi=iwd_agent/" \
+                       src/connman.service.in || die
+       fi
+}
+
+src_configure() {
+       local myeconfargs=(
+               --localstatedir=/var \
+               --runstatedir=/run \
+               --with-systemdunitdir=$(systemd_get_systemunitdir) \
+               --with-tmpfilesdir="${EPREFIX}"/usr/lib/tmpfiles.d \
+               --enable-client \
+               --enable-datafiles \
+               --enable-loopback=builtin \
+               $(use_enable bluetooth bluetooth builtin) \
+               $(use_enable debug) \
+               $(use_enable ethernet ethernet builtin) \
+               $(use_enable examples test) \
+               $(use_enable l2tp l2tp builtin) \
+               $(use_enable networkmanager nmcompat) \
+               $(use_enable ofono ofono builtin) \
+               $(use_enable openconnect openconnect builtin) \
+               $(use_enable openvpn openvpn builtin) \
+               $(use_enable policykit polkit builtin) \
+               $(use_enable pptp pptp builtin) \
+               $(use_enable tools) \
+               $(use_enable vpnc vpnc builtin) \
+               $(use_enable wireguard) \
+               $(use_enable wispr wispr builtin) \
+               --with-firewall=$(usex iptables "iptables" "nftables" ) \
+               --disable-iospm \
+               --disable-hh2serial-gps
+               )
+       # wifi USE logic to match networkmanager ebuild behavior
+       if use wifi; then
+               if use iwd; then
+                       myeconfargs+=( --enable-iwd --disable-wifi )
+               else
+                       myeconfargs+=( --disable-iwd --enable-wifi=builtin )
+               fi
+       else
+               myeconfargs+=( --disable-iwd --disable-wifi )
+       fi
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       dobin client/connmanctl
+
+       if use doc; then
+               dodoc doc/*.txt
+       fi
+       keepdir /usr/lib/${PN}/scripts
+       keepdir /var/lib/${PN}
+       newinitd "${T}"/${PN}.initd2 ${PN}
+       newconfd "${FILESDIR}"/${PN}.confd ${PN}
+}
+
+pkg_postinst() {
+       tmpfiles_process connman_resolvconf.conf
+}

Reply via email to